-- Policy_PGB_FreeBuildingClass table
-- Author: Machiavelli
-- DateCreated: 6/27/2014 8:09:35 PM
--------------------------------------------------------------
-- Version 1
--
-- Purpose:
-- Implements the Policy_PGB_FreeBuildingClassCoastal.  Buildings will
-- be given to cities on the coast.
--------------------------------------------------------------
function FreeBuildingClassCoastal_Table(playerID, cityID, buildingList)
	local player = Players[playerID];
	local city = player:GetCityByID(cityID);
	local policyID;
	local building;
	
	if(city:IsCoastal()) then
		for row in GameInfo.Policy_PGB_FreeBuildingClassCoastal() do
			policyID = GameInfoTypes[row.PolicyType];
		
			if(player:HasPolicy(policyID)) then
				building = row.BuildingClassType;
				buildingList[building] = true;
			end
		end
	end
end
--LuaEvents.GetPolicyBuildings.Add(FreeBuildingClassCoastal_Table);

--------------
-- Initialization check.  Ensures this code isn't loaded twice
--------------
local retVal = {};
local versionNumber = 2;
function isInitialized(retVal)
	retVal.isInitialized = versionNumber;
end
LuaEvents.Policy_PGB_FreeBuildingClassCoastal_Table_IsInitialized(retVal);

-- If an older version has been initialized by another mod, remove it
if(retVal.isInitialized ~= nil and retVal.isInitialized < versionNumber) then
	LuaEvents.Policy_PGB_FreeBuildingClassCoastal_Table_IsInitialized.Remove(isInitialized);
	-- Remove the old code
	LuaEvents.GetPolicyBuildings.Remove(FreeBuildingClassCoastal_Table);
end
-- Initialize if no other mod has, or this version is newer than the previously initialized version
if (retVal.isInitialized == nil or retVal.isInitialized < versionNumber) then
	LuaEvents.Policy_PGB_FreeBuildingClassCoastal_Table_IsInitialized.Add(isInitialized);
	-- Initialize the code
	LuaEvents.GetPolicyBuildings.Add(FreeBuildingClassCoastal_Table);
end