-- Policy_PGB_FreeBuildingClass table
-- Author: Machiavelli
-- DateCreated: 10/23/2015 8:09:35 PM
--------------------------------------------------------------
-- Version 2
--
-- Purpose:
-- Implements the Policy_PGB_FreeBuildingClassLand.  Buildings will
-- be given to cities on land.
--------------------------------------------------------------
function FreeBuildingClassLand_Table(playerID, cityID, buildingList)
	local player = Players[playerID];
	local city = player:GetCityByID(cityID);
	local policyID;
	local building;
	
	if(not city:IsWater()) then
		for row in GameInfo.Policy_PGB_FreeBuildingClassLand() do
			policyID = GameInfoTypes[row.PolicyType];
		
			if(player:HasPolicy(policyID)) then
				building = row.BuildingClassType;
				buildingList[building] = true;
			end
		end
	end
end
--LuaEvents.GetPolicyBuildings.Add(FreeBuildingClassLand_Table);

--------------
-- Initialization check.  Ensures this code isn't loaded twice
--------------
local retVal = {};
local versionNumber = 2;
function isInitialized(retVal)
	retVal.isInitialized = versionNumber;
end
LuaEvents.Policy_PGB_FreeBuildingClassLand_Table_IsInitialized(retVal);

-- If an older version has been initialized by another mod, remove it
if(retVal.isInitialized ~= nil and retVal.isInitialized < versionNumber) then
	LuaEvents.Policy_PGB_FreeBuildingClassLand_Table_IsInitialized.Remove(isInitialized);
	-- Remove the old code
	LuaEvents.GetPolicyBuildings.Remove(FreeBuildingClassLand_Table);
end
-- Initialize if no other mod has, or this version is newer than the previously initialized version
if (retVal.isInitialized == nil or retVal.isInitialized < versionNumber) then
	LuaEvents.Policy_PGB_FreeBuildingClassLand_Table_IsInitialized.Add(isInitialized);
	-- Initialize the code
	LuaEvents.GetPolicyBuildings.Add(FreeBuildingClassLand_Table);
end