-- Policies grant Perks
-- Author: Machiavelli
-- DateCreated: 12/21/2014 10:26:18 AM
--------------------------------------------------------------
function PolicyPerks_PolicyAdopted(playerID, policyID)
	local player = Players[playerID];

	local condition = "PolicyType = '" .. GameInfo.Policies[policyID].Type .. "'";
	for row in GameInfo.Policy_PGP_FreePerk(condition) do
		player:AddPerk(GameInfo.PlayerPerks[row.FreePlayerPerk].ID);
	end
end
--GameEvents.PlayerAdoptPolicy.Add(PolicyPerks_PolicyAdopted);

function PolicyPerks_PolicyBranchAdopted(playerID, policyBranchID)
	local player = Players[playerID];

	local freePolicy = GameInfo.PolicyBranchTypes[policyBranchID].FreePolicy;
	local policyID = GameInfo.Policies[freePolicy].ID;

	PolicyPerks_PolicyAdopted(playerID, policyID);
end
--GameEvents.PlayerAdoptPolicyBranch.Add(PolicyPerks_PolicyBranchAdopted);

--------------
-- Initialization check.  Ensures this code isn't loaded twice
--------------
local retVal = {};
local versionNumber = 2;
function isInitialized(retVal)
	retVal.isInitialized = versionNumber;
end
LuaEvents.PoliciesGrantPerks_IsInitialized(retVal);

-- If an older version has been initialized by another mod, remove it
if(retVal.isInitialized ~= nil and retVal.isInitialized < versionNumber) then
	LuaEvents.PoliciesGrantPerks_IsInitialized.Remove(isInitialized);
	-- Remove the old code
	GameEvents.PlayerAdoptPolicy.Remove(PolicyPerks_PolicyAdopted);
	GameEvents.PlayerAdoptPolicyBranch.Remove(PolicyPerks_PolicyBranchAdopted);
end
-- Initialize if no other mod has, or this version is newer than the previously initialized version
if (retVal.isInitialized == nil or retVal.isInitialized < versionNumber) then
	LuaEvents.PoliciesGrantPerks_IsInitialized.Add(isInitialized);
	-- Initialize the code
	GameEvents.PlayerAdoptPolicy.Add(PolicyPerks_PolicyAdopted);
	GameEvents.PlayerAdoptPolicyBranch.Add(PolicyPerks_PolicyBranchAdopted);
end